ExamplesBasics

Drag: Constraints

An example of making an element draggable using Motion for React's drag prop. You can even set drag constraints by providing a ref to another element.

React
>Live exampleOpen

Source code

"use client"

import * as motion from "motion/react-client"
import { useRef } from "react"

export default function DragConstraints() {
    const constraintsRef = useRef<HTMLDivElement>(null)

    return (
        <motion.div ref={constraintsRef} style={constraints}>
            <motion.div
                drag
                dragConstraints={constraintsRef}
                dragElastic={0.2}
                style={box}
            />
        </motion.div>
    )
}

/**
 * ==============   Styles   ================
 */

const constraints = {
    width: 300,
    height: 300,
    backgroundColor: "var(--hue-1-transparent)",
    borderRadius: 10,
}

const box = {
    width: 100,
    height: 100,
    backgroundColor: "var(--hue-1)",
    borderRadius: 10,
}

Related examples

Latest in React

ExamplesBasics

Drag: Constraints

An example of making an element draggable using Motion for Vue's drag prop. You can even set drag constraints by providing a ref to another element.

Vue
Live exampleOpen

Source code

<script setup>
import { motion } from "motion-v"
import { ref } from "vue"

const constraintsRef = ref(null)
</script>

<template>
    <div ref="constraintsRef" class="constraints">
        <motion.div
            drag
            :dragConstraints="constraintsRef"
            :dragElastic="0.2"
            class="box"
        />
    </div>
</template>

<style>
.constraints {
    width: 300px;
    height: 300px;
    background-color: var(--hue-1-transparent);
    border-radius: 10px;
}

.box {
    width: 100px;
    height: 100px;
    background-color: #ff0088;
    border-radius: 10px;
}
</style>

Related examples

Latest in Vue